commit:     378ccfd5dad89a85441c70e5af4d9fa8c652e8ac
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 17 16:12:40 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Dec 17 16:28:14 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=378ccfd5

dev-python/sure: Add python3.5 support and fix QA issues

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/sure/sure-1.2.5-r1.ebuild | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

diff --git a/dev-python/sure/sure-1.2.5-r1.ebuild 
b/dev-python/sure/sure-1.2.5-r1.ebuild
index 177d280..dbb9ff4 100644
--- a/dev-python/sure/sure-1.2.5-r1.ebuild
+++ b/dev-python/sure/sure-1.2.5-r1.ebuild
@@ -3,16 +3,15 @@
 # $Id$
 
 EAPI=5
-PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
 
 inherit distutils-r1 vcs-snapshot
 
-DESCRIPTION="utility belt for automated testing in python for python"
+DESCRIPTION="Utility belt for automated testing in python for python"
 HOMEPAGE="https://github.com/gabrielfalcao/sure";
 SRC_URI="https://github.com/gabrielfalcao/${PN}/archive/${PV}.tar.gz -> 
${P}-r1.tar.gz"
 
-S="${WORKDIR}/${P}-r1"
-
 LICENSE="GPL-3"
 SLOT="0"
 KEYWORDS="amd64 x86"
@@ -28,15 +27,12 @@ DEPEND="
 "
 RDEPEND="${CDEPEND}"
 
+S="${WORKDIR}/${P}-r1"
+
 python_prepare_all() {
-       ebegin 'patching setup.py'
        sed \
                -e "82s/read_version()/'${PV}'/" \
-               -i setup.py
-       STATUS=$?
-       eend ${STATUS}
-       [[ ${STATUS} -gt 0 ]] && die
-
+               -i setup.py || die
        distutils-r1_python_prepare_all
 }
 

Reply via email to